Links in easyTimeline use wrong URL
Closed, ResolvedPublic

Description

Author: xmlizer

Description:
In a classic Wiki, a link [[Toto]] do link to the URL
http://fr.wikipedia.org/wiki/Toto

In easyTimeLine it links to http://fr.wikipedia.org/w/wiki.phtml/Toto


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz3.
bzimport created this task.Via LegacyAug 10 2004, 4:25 PM
brion added a comment.Via ConduitAug 13 2004, 11:46 PM

EasyTimeline was using the script path instead of the article path and simply
appending / and the article title on the end. This doesn't produce the desired
links on all configurations, and will fail entirely on a server using PHP in CGI
or apache2filter mode where that link style doesn't work.

Fix committed to CVS and installed live. I've cleared out the rendered timelines
so they should regenerate automatically with correct link style as the pages
using them are loaded up.

bzimport added a comment.Via ConduitMay 22 2005, 4:11 PM

river wrote:

CLOSED

Add Comment